OpenVDB 12.1.0

Loading...
Searching...
No Matches
CombineOpAdapter< AValueT, CombineOp, BValueT > Struct Template Reference

Helper class to adapt a three-argument (a, b, result) CombineOp functor into a single-argument functor that accepts a CombineArgs struct. More...

`#include <openvdb/tree/Tree.h>`

## Public Member Functions
| CombineOpAdapter (CombineOp &_op)
void | operator() (CombineArgs< AValueT, BValueT > &args) const

## Public Attributes
CombineOp & | op

## Detailed Description

template<typename AValueT, typename CombineOp, typename BValueT = AValueT>
struct openvdb::v12_1::tree::CombineOpAdapter< AValueT, CombineOp, BValueT >

Helper class to adapt a three-argument (a, b, result) CombineOp functor into a single-argument functor that accepts a CombineArgs struct.

## Constructor & Destructor Documentation

## ◆ CombineOpAdapter()

template<typename AValueT, typename CombineOp, typename BValueT = AValueT>

CombineOpAdapter | ( | CombineOp & | _op | ) |
| inline

## Member Function Documentation

## ◆ operator()()

template<typename AValueT, typename CombineOp, typename BValueT = AValueT>

void operator() | ( | CombineArgs< AValueT, BValueT > & | args | ) | const
| inline

## Member Data Documentation

## ◆ op

template<typename AValueT, typename CombineOp, typename BValueT = AValueT>

CombineOp& op